package online.wesal.wesal.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

public class PostCreateRequestDTO {
    
    @NotBlank(message = "Post body cannot be empty")
    @Size(max = 2000, message = "Post body cannot exceed 2000 characters")
    private String body;
    
    public PostCreateRequestDTO() {}
    
    public PostCreateRequestDTO(String body) {
        this.body = body;
    }
    
    public String getBody() {
        return body;
    }
    
    public void setBody(String body) {
        this.body = body;
    }
}